Bug 5650 - Can´t connect to NAS using Samba and OpenLDAP
Can´t connect to NAS using Samba and OpenLDAP
Status: RESOLVED WONTFIX
Product: Samba 3.0
Classification: Unclassified
Component: smbldap-tools
3.0.24
All Windows XP
: P3 regression
: none
Assigned To: Tournier Jerome
smbldap-tools team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-30 05:53 UTC by Jan van den Berg
Modified: 2010-09-04 07:10 UTC (History)
1 user (show)

See Also:


Attachments
TCPDUMP Sniff (58.81 KB, application/octet-stream)
2008-08-04 02:28 UTC, Jan van den Berg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan van den Berg 2008-07-30 05:53:55 UTC
I hope I posted using the right "Component"

Our company bought a NAS (NAS Deluxe NDL-2400R) which is capable to connect to a NT4 or ADS.

Now I configured the Samba and LDAP as it was described in the How-To on this page http://samba-ldap.de/node/37 .

Everything worked fine until I set the flag for ADS/NT authentication inside of the NAS.

The NAS itself is able to connect to the LDAP and is also able to read all the users and groups which are secified inside the LDAP.

But if I try to map a drive Windows XP returns System errors 1311 (auth. via ADS) and 1351 (auth. via NT).

Do you have any guesses how I could fix this issue?

Best regards
Comment 1 Volker Lendecke 2008-07-30 07:34:20 UTC
Please upload your smb.conf, tcpdump sniffs of the traffic between the NAS and the client and between the NAS and your domain controller, together with a debug level 10 log of the smbd trying to answer the login request from the NAS.

Volker
Comment 2 Jan van den Berg 2008-07-30 10:01:19 UTC
Yes, I´ll do this as soon as possible
Comment 3 Jan van den Berg 2008-07-30 11:09:53 UTC
Here are the requested infos:

smb.conf:

[global]

workgroup = dss
netbios name = pdc2
server string = Samba PDC Version %v
socket options = TCP_NODELAY IPTOS_LOWDELAY SO_SNDBUF=8192 SO_RCVBUF=8192
os level = 65
preferred master = yes
local master = yes
domain master = yes
domain logons = yes
realm = dss
security = User
guest ok = no
encrypt passwords = yes
null passwords = no
hosts allow = 127.0.0.1 172.29.100.0/255.255.255.0

wins support = yes
dns proxy = no

log file = /var/log/samba/log.%m
log level = 2
max log size = 50
hide unreadable = yes
hide dot files = yes

passdb backend = ldapsam:ldap://127.0.0.1
ldap suffix = dc=dss
ldap machine suffix = ou=machines
ldap user suffix = ou=people
ldap group suffix = ou=groups
ldap admin dn = cn=admin,dc=dss
ldap delete dn = no
enable privileges = yes
ldap password sync = yes
logon home = \\%L\%U\.profile
logon drive = H:
logon home = \\%L\%U\.profile
logon drive = H:
logon path = \\%L\profiles\%U
logon script = netlogon.bat OR %U.bat
add machine script = /usr/sbin/smbldap-useradd -w "%u"
unix charset = ISO8859-15

client ntlmv2 auth = yes
client lanman auth =no
domain logons = yes
guest account = nobody


oplocks         = yes
level2 oplocks  = yes
kernel oplocks  = no

[netlogon]
path = /home/samba/netlogon
guest ok = no
read only = yes
browseable = no

[homes]
path = /export/home/dss/%U
comment = Carpetas HOME
browseable = no
writeable = yes
valid users = %S
read only = no
guest ok = no
inherit permissions = yes

[profiles]
path = /home/samba/profiles
writeable = yes
browseable = no
default case = lower
preserve case = no
short preserve case = no
case sensitive = no
hide files = /desktop.ini/ntuser.ini/NTUSER.*/
create mask = 0600
directory mask = 0700

-----------------------------------------------------------------------------

Here´s a part of the TCP Dump captured while my client (172.29.100.227) was trying to connect to the NAS


15:47:19.127278 IP 172.29.100.227.netbios-ns > 172.29.100.255.netbios-ns: NBT UDP PACKET(137): QUERY; REQUEST; BROADCAST
15:47:19.127579 IP 172.29.100.221.netbios-ns > 172.29.100.227.netbios-ns: NBT UDP PACKET(137): QUERY; POSITIVE; RESPONSE; UNICAST
15:47:19.128026 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: S 3457794995:3457794995(0) win 65535 <mss 1460,nop,nop,sackOK>
15:47:19.128082 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: S 3782611349:3782611349(0) ack 3457794996 win 5840 <mss 1460,nop,nop,sackOK>
15:47:19.128513 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 1:73(72) ack 1 win 65535 NBT Session Packet: Session Request
15:47:19.128584 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: . ack 73 win 5840
15:47:19.141075 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 1:5(4) ack 73 win 5840 NBT Session Packet: Session Granted
15:47:19.143858 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 73:210(137) ack 5 win 65531 NBT Session Packet: Session Message
15:47:19.145209 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 5:136(131) ack 210 win 6432 NBT Session Packet: Session Message
15:47:19.146516 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 210:450(240) ack 136 win 65400 NBT Session Packet: Session Message
15:47:19.149225 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 136:366(230) ack 450 win 7504 NBT Session Packet: Session Message
15:47:19.150216 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 450:728(278) ack 366 win 65170 NBT Session Packet: Session Message
15:47:19.188435 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: . ack 728 win 8576
15:47:19.211058 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 366:466(100) ack 728 win 8576 NBT Session Packet: Session Message
15:47:19.212305 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 728:806(78) ack 466 win 65070 NBT Session Packet: Session Message
15:47:19.212383 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: . ack 806 win 8576
15:47:19.213663 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 466:518(52) ack 806 win 8576 NBT Session Packet: Session Message
15:47:19.214427 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 806:924(118) ack 518 win 65018 NBT Session Packet: Session Message
15:47:19.215732 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 518:634(116) ack 924 win 8576 NBT Session Packet: Session Message
15:47:19.216378 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 924:967(43) ack 634 win 64902 NBT Session Packet: Session Message
15:47:19.216638 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 634:677(43) ack 967 win 8576 NBT Session Packet: Session Message
15:47:19.216982 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: P 967:1006(39) ack 677 win 64859 NBT Session Packet: Session Message
15:47:19.217274 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: P 677:716(39) ack 1006 win 8576 NBT Session Packet: Session Message
15:47:19.219270 IP 172.29.100.227.3106 > 172.29.100.221.netbios-ssn: F 1006:1006(0) ack 716 win 64820
15:47:19.223307 IP 172.29.100.221.netbios-ssn > 172.29.100.227.3106: F 716:716(0) ack 1007 win 8576
15:47:19.224808 IP 172.29.100.227.netbios-dgm > 172.29.100.255.netbios-dgm: NBT UDP PACKET(138)
15:47:19.224852 IP 172.29.100.227.netbios-ns > 172.29.100.255.netbios-ns: NBT UDP PACKET(137): QUERY; REQUEST; BROADCAST
15:47:19.224858 IP 172.29.100.225.netbios-ns > 172.29.100.255.netbios-ns: NBT UDP PACKET(137): QUERY; REQUEST; BROADCAST


-----------------------------------------------------------------------------

Here´s Dump while NAS (172.29.100.7) and PDC (172.29.100.221) where communicating



15:47:00.132613 arp who-has 172.29.100.7 tell 172.29.100.227
15:47:00.139185 IP 172.29.100.7.38127 > 172.29.100.221.microsoft-ds: P 2680250032:2680250164(132) ack 329741537 win 216 <nop,nop,timestamp 46625113 3894594>
15:47:00.139965 IP 172.29.100.221.microsoft-ds > 172.29.100.7.38127: P 1:113(112) ack 132 win 1355 <nop,nop,timestamp 3948013 46625113>
15:47:00.140446 IP 172.29.100.7.38127 > 172.29.100.221.microsoft-ds: . ack 113 win 216 <nop,nop,timestamp 46625114 3948013>
15:47:00.140572 IP 172.29.100.7.38127 > 172.29.100.221.microsoft-ds: P 132:310(178) ack 113 win 216 <nop,nop,timestamp 46625114 3948013>
15:47:00.174196 IP 172.29.100.221.microsoft-ds > 172.29.100.7.38127: . ack 310 win 1355 <nop,nop,timestamp 3948023 46625114>
15:47:00.205426 IP 172.29.100.221.microsoft-ds > 172.29.100.7.38127: P 113:305(192) ack 310 win 1355 <nop,nop,timestamp 3948030 46625114>
15:47:00.206416 IP 172.29.100.7.38127 > 172.29.100.221.microsoft-ds: P 310:488(178) ack 305 win 216 <nop,nop,timestamp 46625130 3948030>
15:47:00.206475 IP 172.29.100.221.microsoft-ds > 172.29.100.7.38127: . ack 488 win 1355 <nop,nop,timestamp 3948030 46625130>
15:47:00.206843 IP 172.29.100.221.microsoft-ds > 172.29.100.7.38127: P 305:533(228) ack 488 win 1355 <nop,nop,timestamp 3948030 46625130>
15:47:00.243844 IP 172.29.100.7.38127 > 172.29.100.221.microsoft-ds: . ack 533 win 250 <nop,nop,timestamp 46625140 3948030>

------------------------------------------------------------------------------

Log smbd


[2008/07/30 15:47:19, 0] lib/debug.c:debug_lookup_classname(375)
  debug_lookup_classname(smbd): Unknown class
[2008/07/30 15:47:19, 0] lib/debug.c:debug_parse_params(434)
  debug_parse_params: unrecognized debug class name or format [passdb]
[2008/07/30 15:47:19, 2] param/loadparm.c:do_section(3712)
  Processing section "[netlogon]"
[2008/07/30 15:47:19, 2] param/loadparm.c:do_section(3712)
  Processing section "[homes]"
[2008/07/30 15:47:19, 2] param/loadparm.c:do_section(3712)
  Processing section "[profiles]"
[2008/07/30 15:47:19, 2] param/loadparm.c:do_section(3712)
  Processing section "[public]"
[2008/07/30 15:47:19, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:47:19, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:47:19, 2] lib/interface.c:add_interface(81)
  added interface ip=172.29.100.221 bcast=172.29.100.255 nmask=255.255.255.0
[2008/07/30 15:47:19, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:47:19, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!

--------------------------------------------------------------------------------

Log 172.29.100.7

[2008/07/30 15:59:57, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.7)


--------------------------------------------------------------------------------
Log nas.dss (172.29.100.7)


[2008/07/30 15:46:26, 0] lib/debug.c:debug_lookup_classname(375)
  debug_lookup_classname(smbd): Unknown class
[2008/07/30 15:46:26, 0] lib/debug.c:debug_parse_params(434)
  debug_parse_params: unrecognized debug class name or format [passdb]
[2008/07/30 15:46:26, 2] param/loadparm.c:do_section(3712)
  Processing section "[netlogon]"
[2008/07/30 15:46:26, 2] param/loadparm.c:do_section(3712)
  Processing section "[homes]"
[2008/07/30 15:46:26, 2] param/loadparm.c:do_section(3712)
  Processing section "[profiles]"
[2008/07/30 15:46:26, 2] param/loadparm.c:do_section(3712)
  Processing section "[public]"
[2008/07/30 15:46:26, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:46:26, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:46:26, 2] lib/interface.c:add_interface(81)
  added interface ip=172.29.100.221 bcast=172.29.100.255 nmask=255.255.255.0
[2008/07/30 15:53:39, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!
[2008/07/30 15:53:39, 0] printing/pcap.c:pcap_cache_reload(159)
  Unable to open printcap file /etc/printcap for read!

-------------------------------------------------------------------------------

log 172.29.100.227

[2008/07/30 15:47:19, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:47:19, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 15:47:19, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 15:47:21, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:47:21, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 15:47:21, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 15:49:40, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:49:40, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 15:49:40, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 15:49:56, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:49:56, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 15:49:56, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 15:58:35, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:58:35, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 15:58:35, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 16:01:37, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 16:01:37, 2] smbd/reply.c:reply_special(496)
  netbios connect: name1=PDC2            name2=ATLANTIX       
[2008/07/30 16:01:37, 2] smbd/reply.c:reply_special(503)
  netbios connect: local=pdc2 remote=atlantix, name type = 0
[2008/07/30 16:01:37, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 16:01:37, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 16:01:37, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 16:01:37, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 16:01:37, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.



-------------------------------------------------------------------------------

log Atlantix.dss (172.29.100.227)


[2008/07/30 15:47:19, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:47:19, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 15:47:19, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 15:47:19, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 15:47:19, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 15:47:19, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 15:47:19, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 15:47:19, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 15:47:19, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 15:47:19, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:47:19, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user []\[] from workstation [ATLANTIX]
[2008/07/30 15:47:19, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [DSS]
[2008/07/30 15:47:19, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for  ()
[2008/07/30 15:47:19, 5] auth/auth_util.c:make_user_info(85)
  making strings for 's user_info struct
[2008/07/30 15:47:19, 5] auth/auth_util.c:make_user_info(117)
  making blobs for 's user_info struct
[2008/07/30 15:47:19, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user []\[]@[ATLANTIX] with the new password interface
[2008/07/30 15:47:19, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[]@[ATLANTIX]
[2008/07/30 15:47:19, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 15:47:19, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: guest authentication for user [] succeeded
[2008/07/30 15:47:19, 5] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  guest authentication for user [] -> [] -> [nobody] succeeded
[2008/07/30 15:47:19, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 15:47:19, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:47:19, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 15:47:21, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:47:21, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 15:47:21, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 15:47:21, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 15:47:21, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 15:47:21, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 15:47:21, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 15:47:21, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 15:47:21, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 15:47:21, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:47:21, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user []\[] from workstation [ATLANTIX]
[2008/07/30 15:47:21, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [DSS]
[2008/07/30 15:47:21, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for  ()
[2008/07/30 15:47:21, 5] auth/auth_util.c:make_user_info(85)
  making strings for 's user_info struct
[2008/07/30 15:47:21, 5] auth/auth_util.c:make_user_info(117)
  making blobs for 's user_info struct
[2008/07/30 15:47:21, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user []\[]@[ATLANTIX] with the new password interface
[2008/07/30 15:47:21, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[]@[ATLANTIX]
[2008/07/30 15:47:21, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 15:47:21, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: guest authentication for user [] succeeded
[2008/07/30 15:47:21, 5] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  guest authentication for user [] -> [] -> [nobody] succeeded
[2008/07/30 15:47:21, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 15:47:21, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:47:21, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 15:49:40, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:49:40, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 15:49:40, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 15:49:40, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 15:49:40, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 15:49:40, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 15:49:40, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 15:49:40, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 15:49:40, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 15:49:40, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:49:40, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user [ATLANTIX]\[vdberg] from workstation [ATLANTIX]
[2008/07/30 15:49:40, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [ATLANTIX]
[2008/07/30 15:49:40, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for vdberg (vdberg)
[2008/07/30 15:49:40, 5] auth/auth_util.c:make_user_info(85)
  making strings for vdberg's user_info struct
[2008/07/30 15:49:40, 5] auth/auth_util.c:make_user_info(117)
  making blobs for vdberg's user_info struct
[2008/07/30 15:49:40, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user [ATLANTIX]\[vdberg]@[ATLANTIX] with the new password interface
[2008/07/30 15:49:40, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[vdberg]@[ATLANTIX]
[2008/07/30 15:49:40, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_sam_from_ldap(541)
  init_sam_from_ldap: Entry found for user: vdberg
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 5000
[2008/07/30 15:49:40, 4] libsmb/ntlm_check.c:ntlm_password_check(326)
  ntlm_password_check: Checking NT MD4 password
[2008/07/30 15:49:40, 4] auth/auth_sam.c:sam_account_ok(138)
  sam_account_ok: Checking SMB password for user vdberg
[2008/07/30 15:49:40, 5] auth/auth_sam.c:logon_hours_ok(120)
  logon_hours_ok: user vdberg allowed to logon at this time (Wed Jul 30 15:49:40 2008
  )
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 5000
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 500
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 7001
[2008/07/30 15:49:40, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 8003
[2008/07/30 15:49:40, 5] auth/auth_util.c:make_server_info_sam(625)
  make_server_info_sam: made server info for user vdberg -> vdberg
[2008/07/30 15:49:40, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: sam authentication for user [vdberg] succeeded
[2008/07/30 15:49:40, 5] auth/auth.c:check_ntlm_password(296)
  check_ntlm_password:  PAM Account for user [vdberg] succeeded
[2008/07/30 15:49:40, 2] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  authentication for user [vdberg] -> [vdberg] -> [vdberg] succeeded
[2008/07/30 15:49:40, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 15:49:40, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:49:40, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 15:49:56, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:49:56, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 15:49:56, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 15:49:56, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 15:49:56, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 15:49:56, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 15:49:56, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 15:49:56, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 15:49:56, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 15:49:56, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:49:56, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user []\[] from workstation [ATLANTIX]
[2008/07/30 15:49:56, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [DSS]
[2008/07/30 15:49:56, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for  ()
[2008/07/30 15:49:56, 5] auth/auth_util.c:make_user_info(85)
  making strings for 's user_info struct
[2008/07/30 15:49:56, 5] auth/auth_util.c:make_user_info(117)
  making blobs for 's user_info struct
[2008/07/30 15:49:56, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user []\[]@[ATLANTIX] with the new password interface
[2008/07/30 15:49:56, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[]@[ATLANTIX]
[2008/07/30 15:49:56, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 15:49:56, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: guest authentication for user [] succeeded
[2008/07/30 15:49:56, 5] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  guest authentication for user [] -> [] -> [nobody] succeeded
[2008/07/30 15:49:56, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 15:49:56, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:49:56, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 15:58:35, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:58:35, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend sam_ignoredomain
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'sam_ignoredomain'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend unix
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'unix'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend winbind
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'winbind'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend smbserver
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'smbserver'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend trustdomain
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'trustdomain'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend ntdomain
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'ntdomain'
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(47)
  Attempting to register auth backend guest
[2008/07/30 15:58:35, 5] auth/auth.c:smb_register_auth(59)
  Successfully added auth method 'guest'
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 15:58:35, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 15:58:35, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 15:58:35, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 15:58:35, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 15:58:35, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 15:58:35, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 15:58:35, 2] smbd/sesssetup.c:setup_new_vc_session(799)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/07/30 15:58:35, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user []\[] from workstation [ATLANTIX]
[2008/07/30 15:58:35, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [DSS]
[2008/07/30 15:58:35, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for  ()
[2008/07/30 15:58:35, 5] auth/auth_util.c:make_user_info(85)
  making strings for 's user_info struct
[2008/07/30 15:58:35, 5] auth/auth_util.c:make_user_info(117)
  making blobs for 's user_info struct
[2008/07/30 15:58:35, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user []\[]@[ATLANTIX] with the new password interface
[2008/07/30 15:58:35, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[]@[ATLANTIX]
[2008/07/30 15:58:35, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 15:58:35, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: guest authentication for user [] succeeded
[2008/07/30 15:58:35, 5] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  guest authentication for user [] -> [] -> [nobody] succeeded
[2008/07/30 15:58:35, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 15:58:35, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 15:58:35, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 16:01:37, 0] lib/util_sock.c:read_data(534)
  read_data: read failure for 4 bytes to client 172.29.100.227. Error = Connection reset by peer
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user []\[] from workstation [ATLANTIX]
[2008/07/30 16:01:37, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [DSS]
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for  ()
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(85)
  making strings for 's user_info struct
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(117)
  making blobs for 's user_info struct
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user []\[]@[ATLANTIX] with the new password interface
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[]@[ATLANTIX]
[2008/07/30 16:01:37, 2] lib/smbldap.c:smbldap_open_connection(788)
  smbldap_open_connection: connection opened
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: guest authentication for user [] succeeded
[2008/07/30 16:01:37, 5] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  guest authentication for user [] -> [] -> [nobody] succeeded
[2008/07/30 16:01:37, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 16:01:37, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 16:01:37, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving IPC$ as a Dfs root
[2008/07/30 16:01:37, 5] auth/auth.c:make_auth_context_subsystem(484)
  Making default auth method list for DC, security=user, encrypt passwords = yes
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match guest
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method guest has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match sam
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method sam has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match winbind:trustdomain
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(391)
  load_auth_module: Attempting to find an auth method to match trustdomain
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method trustdomain has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:load_auth_module(416)
  load_auth_module: auth method winbind has a valid init
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(97)
  auth_get_challenge: module winbind did not want to specify a challenge
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(137)
  auth_context challenge created by random
[2008/07/30 16:01:37, 5] auth/auth.c:get_ntlm_challenge(138)
  challenge is: 
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user [ATLANTIX]\[vdberg] from workstation [ATLANTIX]
[2008/07/30 16:01:37, 5] auth/auth_util.c:is_trusted_domain(2020)
  is_trusted_domain: Checking for domain trust with [ATLANTIX]
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for vdberg (vdberg)
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(85)
  making strings for vdberg's user_info struct
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_user_info(117)
  making blobs for vdberg's user_info struct
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user [ATLANTIX]\[vdberg]@[ATLANTIX] with the new password interface
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [DSS]\[vdberg]@[ATLANTIX]
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_sam_from_ldap(541)
  init_sam_from_ldap: Entry found for user: vdberg
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 5000
[2008/07/30 16:01:37, 4] libsmb/ntlm_check.c:ntlm_password_check(326)
  ntlm_password_check: Checking NT MD4 password
[2008/07/30 16:01:37, 4] auth/auth_sam.c:sam_account_ok(138)
  sam_account_ok: Checking SMB password for user vdberg
[2008/07/30 16:01:37, 5] auth/auth_sam.c:logon_hours_ok(120)
  logon_hours_ok: user vdberg allowed to logon at this time (Wed Jul 30 16:01:37 2008
  )
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 5000
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 500
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 7001
[2008/07/30 16:01:37, 2] passdb/pdb_ldap.c:init_group_from_ldap(2140)
  init_group_from_ldap: Entry found for group: 8003
[2008/07/30 16:01:37, 5] auth/auth_util.c:make_server_info_sam(625)
  make_server_info_sam: made server info for user vdberg -> vdberg
[2008/07/30 16:01:37, 3] auth/auth.c:check_ntlm_password(270)
  check_ntlm_password: sam authentication for user [vdberg] succeeded
[2008/07/30 16:01:37, 5] auth/auth.c:check_ntlm_password(296)
  check_ntlm_password:  PAM Account for user [vdberg] succeeded
[2008/07/30 16:01:37, 2] auth/auth.c:check_ntlm_password(309)
  check_ntlm_password:  authentication for user [vdberg] -> [vdberg] -> [vdberg] succeeded
[2008/07/30 16:01:37, 5] auth/auth_util.c:free_user_info(1867)
  attempting to free (and zero) a user_info structure
[2008/07/30 16:01:37, 2] lib/access.c:check_access(323)
  Allowed connection from  (172.29.100.227)
[2008/07/30 16:01:37, 1] smbd/service.c:make_connection_snum(950)
  atlantix (172.29.100.227) connect to service public initially as user vdberg (uid=7030, gid=5000) (pid 2806)
[2008/07/30 16:01:37, 2] smbd/reply.c:reply_tcon_and_X(711)
  Serving public as a Dfs root
[2008/07/30 16:01:47, 1] smbd/service.c:close_cnum(1150)
  atlantix (172.29.100.227) closed connection to service public

--------------------------------------------------------------------------------

If something isn´t quite what you needed please specifiy the additional needed informations.

I´m quite new to this stuff. :-/

Thanks in advance!
Comment 4 Volker Lendecke 2008-07-30 15:13:31 UTC
I'm sorry, but the tcpdump output is not very useful. Please start tcpdump with

tcpdump -i eth0 -n -s 1500 -w /tmp/sniff

where eth0 is the network interface your client and/or your domain controller talk. What we need is the file /tmp/sniff.

Thanks,

Volker
Comment 5 Jan van den Berg 2008-08-04 02:28:42 UTC
Created attachment 3452 [details]
TCPDUMP Sniff

Heres the sniff file you needed.

I hope it helps...

Thanks in advance!

Jan
Comment 6 Kai Blin 2010-04-08 06:23:32 UTC
Does this bug still happen with the latest stable release? Looks more like a bug connected to ldap than to ntlm_auth, reassigning.
Comment 7 Tournier Jerome 2010-09-04 07:10:37 UTC
Not maintained anymore